<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.9.1"/>
<title>Flair: SerialPort.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Flair
   </div>
   <div id="projectbrief">Framework Libre Air</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.9.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('_serial_port_8h_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">SerialPort.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_serial_port_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">// %flair:license{</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">// This file is part of the Flair framework distributed under the</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">// CECILL-C License, Version 1.0.</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">// %flair:license}</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"></span><span class="preprocessor">#ifndef SERIALPORT_H</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="preprocessor">#define SERIALPORT_H</span></div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_object_8h.html">Object.h</a>&gt;</span></div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="preprocessor">#include &lt;stdint.h&gt;</span></div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceflair.html">flair</a> {</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="keyword">namespace </span>core {</div>
<div class="line"><a name="l00025"></a><span class="lineno"><a class="line" href="classflair_1_1core_1_1_serial_port.html">   25</a></span>&#160;<span class="keyword">class </span><a class="code" href="classflair_1_1core_1_1_serial_port.html">SerialPort</a> : <span class="keyword">public</span> <a class="code" href="classflair_1_1core_1_1_object.html">Object</a> {</div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="keyword">public</span>:</div>
<div class="line"><a name="l00035"></a><span class="lineno"><a class="line" href="classflair_1_1core_1_1_serial_port.html#aa6f8c5f8c8a9e435635b1730feebc90c">   35</a></span>&#160;  <a class="code" href="classflair_1_1core_1_1_serial_port.html#aa6f8c5f8c8a9e435635b1730feebc90c">SerialPort</a>(<span class="keyword">const</span> <a class="code" href="classflair_1_1core_1_1_object.html">Object</a> *parent, std::string name) : <a class="code" href="classflair_1_1core_1_1_object.html">Object</a>(parent, name) {}</div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;</div>
<div class="line"><a name="l00041"></a><span class="lineno"><a class="line" href="classflair_1_1core_1_1_serial_port.html#aeb4eab5de344483667176a101607bb68">   41</a></span>&#160;  <a class="code" href="classflair_1_1core_1_1_serial_port.html#aeb4eab5de344483667176a101607bb68">~SerialPort</a>(){};</div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;</div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;  <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="classflair_1_1core_1_1_serial_port.html#ad9f27342a1d501d7cd64eb3a215572fe">SetBaudrate</a>(<span class="keywordtype">int</span> baudrate) = 0;</div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;</div>
<div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;  <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="classflair_1_1core_1_1_serial_port.html#a54b5711f111f84656201dcd2ac2c03cf">SetRxTimeout</a>(<a class="code" href="namespaceflair_1_1core.html#acc0fa041e08ecf73b2d1d723c339a736">Time</a> timeout_ns) = 0;</div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;</div>
<div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;  <span class="keyword">virtual</span> ssize_t <a class="code" href="classflair_1_1core_1_1_serial_port.html#ac67f66b90f567de20b77afc287504740">Write</a>(<span class="keyword">const</span> <span class="keywordtype">void</span> *buf, <span class="keywordtype">size_t</span> nbyte) = 0;</div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;</div>
<div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;  <span class="keyword">virtual</span> ssize_t <a class="code" href="classflair_1_1core_1_1_serial_port.html#a5e9f8971fc5ea70a2d66a771c6e7d711">Read</a>(<span class="keywordtype">void</span> *buf, <span class="keywordtype">size_t</span> nbyte) = 0;</div>
<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;</div>
<div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;  <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="classflair_1_1core_1_1_serial_port.html#aff9d6e015290651328785e94b133445d">FlushInput</a>(<span class="keywordtype">void</span>) = 0;</div>
<div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;};</div>
<div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;} <span class="comment">// end namespace core</span></div>
<div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;} <span class="comment">// end namespace flair</span></div>
<div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;</div>
<div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;<span class="preprocessor">#endif // SERIALPORT_H</span></div>
<div class="ttc" id="classflair_1_1core_1_1_object_html"><div class="ttname"><a href="classflair_1_1core_1_1_object.html">flair::core::Object</a></div><div class="ttdoc">Base class for all Framework&#39;s classes. </div><div class="ttdef"><b>Definition:</b> Object.h:83</div></div>
<div class="ttc" id="classflair_1_1core_1_1_serial_port_html_ac67f66b90f567de20b77afc287504740"><div class="ttname"><a href="classflair_1_1core_1_1_serial_port.html#ac67f66b90f567de20b77afc287504740">flair::core::SerialPort::Write</a></div><div class="ttdeci">virtual ssize_t Write(const void *buf, size_t nbyte)=0</div><div class="ttdoc">Write datas. </div></div>
<div class="ttc" id="namespaceflair_html"><div class="ttname"><a href="namespaceflair.html">flair</a></div><div class="ttdoc">namespace of the flair Framework </div><div class="ttdef"><b>Definition:</b> Ahrs.h:19</div></div>
<div class="ttc" id="namespaceflair_1_1core_html_acc0fa041e08ecf73b2d1d723c339a736"><div class="ttname"><a href="namespaceflair_1_1core.html#acc0fa041e08ecf73b2d1d723c339a736">flair::core::Time</a></div><div class="ttdeci">unsigned long long Time</div><div class="ttdoc">Time definition, in ns. </div><div class="ttdef"><b>Definition:</b> Object.h:55</div></div>
<div class="ttc" id="classflair_1_1core_1_1_serial_port_html_aa6f8c5f8c8a9e435635b1730feebc90c"><div class="ttname"><a href="classflair_1_1core_1_1_serial_port.html#aa6f8c5f8c8a9e435635b1730feebc90c">flair::core::SerialPort::SerialPort</a></div><div class="ttdeci">SerialPort(const Object *parent, std::string name)</div><div class="ttdoc">Constructor. </div><div class="ttdef"><b>Definition:</b> SerialPort.h:35</div></div>
<div class="ttc" id="classflair_1_1core_1_1_serial_port_html_a54b5711f111f84656201dcd2ac2c03cf"><div class="ttname"><a href="classflair_1_1core_1_1_serial_port.html#a54b5711f111f84656201dcd2ac2c03cf">flair::core::SerialPort::SetRxTimeout</a></div><div class="ttdeci">virtual void SetRxTimeout(Time timeout_ns)=0</div><div class="ttdoc">Set RX timeout. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_serial_port_html"><div class="ttname"><a href="classflair_1_1core_1_1_serial_port.html">flair::core::SerialPort</a></div><div class="ttdoc">Base class for serial port. </div><div class="ttdef"><b>Definition:</b> SerialPort.h:25</div></div>
<div class="ttc" id="_object_8h_html"><div class="ttname"><a href="_object_8h.html">Object.h</a></div><div class="ttdoc">Base class for all Framework&#39;s classes. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_serial_port_html_aeb4eab5de344483667176a101607bb68"><div class="ttname"><a href="classflair_1_1core_1_1_serial_port.html#aeb4eab5de344483667176a101607bb68">flair::core::SerialPort::~SerialPort</a></div><div class="ttdeci">~SerialPort()</div><div class="ttdoc">Destructor. </div><div class="ttdef"><b>Definition:</b> SerialPort.h:41</div></div>
<div class="ttc" id="classflair_1_1core_1_1_serial_port_html_aff9d6e015290651328785e94b133445d"><div class="ttname"><a href="classflair_1_1core_1_1_serial_port.html#aff9d6e015290651328785e94b133445d">flair::core::SerialPort::FlushInput</a></div><div class="ttdeci">virtual void FlushInput(void)=0</div><div class="ttdoc">Flush input datas. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_serial_port_html_ad9f27342a1d501d7cd64eb3a215572fe"><div class="ttname"><a href="classflair_1_1core_1_1_serial_port.html#ad9f27342a1d501d7cd64eb3a215572fe">flair::core::SerialPort::SetBaudrate</a></div><div class="ttdeci">virtual void SetBaudrate(int baudrate)=0</div><div class="ttdoc">Set baudrate. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_serial_port_html_a5e9f8971fc5ea70a2d66a771c6e7d711"><div class="ttname"><a href="classflair_1_1core_1_1_serial_port.html#a5e9f8971fc5ea70a2d66a771c6e7d711">flair::core::SerialPort::Read</a></div><div class="ttdeci">virtual ssize_t Read(void *buf, size_t nbyte)=0</div><div class="ttdoc">Read datas. </div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_33c2ee9b1665499374b4225c427cf176.html">igep</a></li><li class="navelem"><a class="el" href="dir_f1fe274389177bd7e17de7949c4ffada.html">flair-src</a></li><li class="navelem"><a class="el" href="dir_3ef62148cf94871b4b6ee5d6e3a989c1.html">lib</a></li><li class="navelem"><a class="el" href="dir_97265977dbbd48c696782ccac102bad5.html">FlairCore</a></li><li class="navelem"><a class="el" href="dir_6c198461db290ac9abcdd44184573216.html">src</a></li><li class="navelem"><a class="el" href="_serial_port_8h.html">SerialPort.h</a></li>
    <li class="footer">Generated on Thu Jan 31 2019 12:34:23 for Flair by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.9.1 </li>
  </ul>
</div>
</body>
</html>
